osgUtil::DelaunayTriangulator Class Reference

`#include <DelaunayTriangulator>`

Inheritance diagram for osgUtil::DelaunayTriangulator:

## Public Types

typedef std::vector< osg::ref_ptr< DelaunayConstraint > > | linelist

## Public Member Functions

| DelaunayTriangulator ()
| DelaunayTriangulator (osg::Vec3Array *points, osg::Vec3Array *normals=0)
| DelaunayTriangulator (const DelaunayTriangulator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
void | setInputPointArray (osg::Vec3Array *points)
const osg::Vec3Array * | getInputPointArray () const
osg::Vec3Array * | getInputPointArray ()
void | setOutputNormalArray (osg::Vec3Array *normals)
const osg::Vec3Array * | getOutputNormalArray () const
osg::Vec3Array * | getOutputNormalArray ()
void | addInputConstraint (DelaunayConstraint *dc)
bool | triangulate ()
const osg::DrawElementsUInt * | getTriangles () const
osg::DrawElementsUInt * | getTriangles ()
void | removeInternalTriangles (DelaunayConstraint *constraint)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~DelaunayTriangulator ()
DelaunayTriangulator & | operator= (const DelaunayTriangulator &)
int | getindex (const osg::Vec3 &pt, const osg::Vec3Array *points)
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## linelist

typedef std::vector< osg::ref_ptr<DelaunayConstraint> > osgUtil::DelaunayTriangulator::linelist

## Constructor & Destructor Documentation

## DelaunayTriangulator() [1/3]

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( |  | ) |

Referenced by DelaunayTriangulator(), and operator=().

## DelaunayTriangulator() [2/3]

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( | osg::Vec3Array * | points,
|  | osg::Vec3Array * | normals = 0 )

explicit

## DelaunayTriangulator() [3/3]

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( | const DelaunayTriangulator & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References DelaunayTriangulator(), and osg::CopyOp::SHALLOW_COPY.

## ~DelaunayTriangulator()

virtual osgUtil::DelaunayTriangulator::~DelaunayTriangulator | ( |  | ) |

protected virtual

## Member Function Documentation

## addInputConstraint()

void osgUtil::DelaunayTriangulator::addInputConstraint | ( | DelaunayConstraint * | dc | ) |

inline

Add an input constraint loop. the edges of the loop will constrain the triangulation. if remove!=0, the internal triangles of the constraint will be removed; the user may the replace the constraint line with an equivalent geometry. GWM July 2005

## getindex()

int osgUtil::DelaunayTriangulator::getindex | ( | const osg::Vec3 & | pt,
|  | const osg::Vec3Array * | points )

protected

## getInputPointArray() [1/2]

osg::Vec3Array * osgUtil::DelaunayTriangulator::getInputPointArray | ( |  | ) |

inline

Get the input point array.

## getInputPointArray() [2/2]

const osg::Vec3Array * osgUtil::DelaunayTriangulator::getInputPointArray | ( |  | ) | const

inline

Get the const input point array.

## getOutputNormalArray() [1/2]

osg::Vec3Array * osgUtil::DelaunayTriangulator::getOutputNormalArray | ( |  | ) |

inline

Get the output normal array (optional).

## getOutputNormalArray() [2/2]

const osg::Vec3Array * osgUtil::DelaunayTriangulator::getOutputNormalArray | ( |  | ) | const

inline

Get the const output normal array (optional).

## getTriangles() [1/2]

osg::DrawElementsUInt * osgUtil::DelaunayTriangulator::getTriangles | ( |  | ) |

inline

Get the generated primitive (call triangulate() first).

## getTriangles() [2/2]

const osg::DrawElementsUInt * osgUtil::DelaunayTriangulator::getTriangles | ( |  | ) | const

inline

Get the generated primitive (call triangulate() first).

## operator=()

DelaunayTriangulator & osgUtil::DelaunayTriangulator::operator= | ( | const DelaunayTriangulator & |  | ) |

inline protected

References DelaunayTriangulator().

## removeInternalTriangles()

void osgUtil::DelaunayTriangulator::removeInternalTriangles | ( | DelaunayConstraint * | constraint | ) |

remove the triangles internal to the constraint loops. (Line strips cannot remove any internal triangles).

## setInputPointArray()

void osgUtil::DelaunayTriangulator::setInputPointArray | ( | osg::Vec3Array * | points | ) |

inline

Set the input point array.

## setOutputNormalArray()

void osgUtil::DelaunayTriangulator::setOutputNormalArray | ( | osg::Vec3Array * | normals | ) |

inline

Set the output normal array (optional).

## triangulate()

bool osgUtil::DelaunayTriangulator::triangulate | ( |  | ) |

Start triangulation.

The documentation for this class was generated from the following file:

- DelaunayTriangulator